﻿using _123.Data.LocalData.Entity;
using _123.Domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _123.Data.Repository
{
    interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetPresenceByGroup(int groupId);
        List<PresenceLocalEntity>  GetPresenceByGroupAndDate(int groupId, DateOnly date);
        void UnCheckAttendence (PresenceLocalEntity presence);
        void  AddPresence (PresenceLocalEntity presence);

    }
}
