﻿using _123.Data.LocalData.Entity;
using _123.Data.RemoteData.RemoteDatabase.DAO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _123.Data.Repository
{
    internal interface IUserRepository
    {
        public List<UserLocalEntity> GetAllUsers();
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEntity FindUserByGuid(Guid userGuid);
        UserLocalEntity? GetUserByGuid(Guid userGuid);
        UserLocalEntity? UpdateUser(UserLocalEntity userUpdateLocalEnity);
        UserLocalEntity? UpdateUserByGuid(Guid userGuid);
    }
}
